package gov.va.med.esr.common.model.person;

import gov.va.med.fw.model.AbstractKeyedEntity;

/** 
 * 
 * @author Richard.Nelson
 *
 */
public class ApplicationInProcess extends AbstractKeyedEntity {

	private Integer applicationId;
	private String applicationContentXML;
	private EnrollmentApplication enrollmentApplication;
	
	public ApplicationInProcess() {
		super();
	}

	public String getApplicationContentXML() {
		return applicationContentXML;
	}
	
	public void setApplicationContentXML(String applicationContentXML) {
		this.applicationContentXML = applicationContentXML;
	}
	
	public Integer getApplicationId() {
		return applicationId;
	}
	
	public void setApplicationId(Integer applicationId) {
		this.applicationId = applicationId;
	}
	
	public EnrollmentApplication getEnrollmentApplication() {
		return enrollmentApplication;
	}
	
	public void setEnrollmentApplication(EnrollmentApplication enrollmentApplication) {
		this.validateOwner(this.enrollmentApplication, enrollmentApplication);
		this.enrollmentApplication = enrollmentApplication;
	}
}
